## mingw-w64-python-fonttools-4.60.1-1.src.tar.zst

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.1.0; platform_python_implementation != "PyPy"
brotlicffi==1.1.0.0; platform_python_implementation == "PyPy"
unicodedata2==15.1.0; python_version <= '3.11'
scipy==1.13.1; platform_python_implementation != "PyPy" and python_version <= '3.9'  # pyup: ignore
scipy==1.14.1; platform_python_implementation != "PyPy" and python_version >= '3.10'
munkres==1.1.4; platform_python_implementation == "PyPy"
zopfli==0.2.3.post1
# fs is no longer required by the 'ufo' extra (only used if present) but we keep it in
# here so that tox continues to install it for the tests
fs==2.4.16
skia-pathops==0.8.0.post2; platform_python_implementation != "PyPy"
# this is only required to run Tests/cu2qu/{ufo,cli}_test.py
ufoLib2==0.17.0
ufo2ft==3.3.1
pyobjc==10.3.2; sys_platform == "darwin"
freetype-py==2.5.1
uharfbuzz==0.43.0
glyphsLib==6.9.5 # this is only required to run Tests/varLib/interpolatable_test.py
lxml==5.3.0
sympy==1.13.3

=== PKGBUILD ===
# Maintainer: J. Peter Mugaas <jpmugaas@suddenlink.net>

_realname=fonttools
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=4.60.1
pkgrel=1
pkgdesc="Converts OpenType and TrueType fonts to and from XML (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: python-fonttools'
  'gentoo: dev-python/fonttools'
  'purl: pkg:pypi/fonttools'
)
msys2_repository_url='https://github.com/fonttools/fonttools/'
msys2_changelog_url='https://github.com/fonttools/fonttools/blob/main/NEWS.rst'
url='https://fonttools.readthedocs.io/'
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-python")
if [[ ${CARCH} != i686 ]]; then
optdepends=("${MINGW_PACKAGE_PREFIX}-python-brotli: WOFF 1.0 and WOFF 2.0 webfonts"
            "${MINGW_PACKAGE_PREFIX}-python-pyfilesystem2: for fontTools.ufoLib: to read/write UFO fonts"
            "${MINGW_PACKAGE_PREFIX}-python-pyzopfli: WOFF 1.0 and WOFF 2.0 webfonts"
            "${MINGW_PACKAGE_PREFIX}-python-sympy: for fontTools.misc.symfont, module for symbolic font statistics analysis"
            "${MINGW_PACKAGE_PREFIX}-python-matplotlib: for visualizing DesignSpaceDocument and resulting VariationModel")
fi
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cython"
             "${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools")
checkdepends=("${MINGW_PACKAGE_PREFIX}-python-pyfilesystem2"
              "${MINGW_PACKAGE_PREFIX}-python-pytest"
              "${MINGW_PACKAGE_PREFIX}-python-brotli"
              "${MINGW_PACKAGE_PREFIX}-python-ufolib2")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname}-${pkgver}.tar.gz")
sha256sums=('ef00af0439ebfee806b25f24c8f92109157ff3fac5731dc7867957812e87b8d9')

build() {
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

#Enable tests when the dependencies are solved
check() {
  cd "${srcdir}/python-build-${MSYSTEM}"
  PYTHONPATH=Lib ${MINGW_PREFIX}/bin/python -m pytest || warning "Tests failed"
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"
  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -D -m755 LICENSE "${pkgdir}${MINGW_PREFIX}"/share/licenses/python-${_realname}/LICENSE
  chmod oga+r "${pkgdir}${MINGW_PREFIX}"/share/man/man1/ttx.1
}
